package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotBlank;
import com.ruoyi.common.core.xss.Xss;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SysNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long noticeId;
    private String noticeTitle;
    private String noticeType;
    private String noticeContent;
    private String status;
    
    public Long getNoticeId() {
        return this.noticeId;
    }
    
    public void setNoticeId(final Long noticeId) {
        this.noticeId = noticeId;
    }
    
    public void setNoticeTitle(final String noticeTitle) {
        this.noticeTitle = noticeTitle;
    }
    
    @Xss(message = "公告标题不能包含脚本字符")
    @NotBlank(message = "公告标题不能为空")
    @Size(min = 0, max = 50, message = "公告标题不能超过50个字符")
    public String getNoticeTitle() {
        return this.noticeTitle;
    }
    
    public void setNoticeType(final String noticeType) {
        this.noticeType = noticeType;
    }
    
    public String getNoticeType() {
        return this.noticeType;
    }
    
    public void setNoticeContent(final String noticeContent) {
        this.noticeContent = noticeContent;
    }
    
    public String getNoticeContent() {
        return this.noticeContent;
    }
    
    public void setStatus(final String status) {
        this.status = status;
    }
    
    public String getStatus() {
        return this.status;
    }
    
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("noticeId", this.getNoticeId()).append("noticeTitle", this.getNoticeTitle()).append("noticeType", this.getNoticeType()).append("noticeContent", this.getNoticeContent()).append("status", this.getStatus()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("remark", this.getRemark()).toString();
    }
}
